/**
 * ActRelationshipPosting.java
 *
 * File generated from the medication::ActRelationshipPosting uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipPosting.
 *
 * 
 */

@XmlType(name = "ActRelationshipPosting")
@XmlEnum
@XmlRootElement(name = "ActRelationshipPosting")
public enum ActRelationshipPosting {
	@XmlEnumValue("CREDIT")
	CREDIT("CREDIT"),
	@XmlEnumValue("DEBIT")
	DEBIT("DEBIT");
	
	private final String value;

    ActRelationshipPosting(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActRelationshipPosting fromValue(String v) {
        for (ActRelationshipPosting c: ActRelationshipPosting.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}